Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.loom.type
Class TypeMappingRegistry

    java.lang.Object
      org.codehaus.xfire.aegis.type.DefaultTypeMappingRegistry
          org.codehaus.xfire.loom.type.TypeMappingRegistry

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.logger.LogEnabled, TypeMappingRegistry

    public class TypeMappingRegistry

extends DefaultTypeMappingRegistry
implements org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.configuration.Configurable

Extends and configures the TypeMappingRegistry.

Since:
  Oct 31, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.aegis.type.TypeMappingRegistry
`ROLE`

Constructor Summary
`TypeMappingRegistry()`

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration config)`
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)`

Methods inherited from class org.codehaus.xfire.aegis.type.DefaultTypeMappingRegistry
`clear, createDefaultMappings, createRootTypeCreator, createTypeCreator, createTypeMapping, createTypeMapping, createTypeMapping, getDefaultTypeMapping, getRegisteredEncodingStyleURIs, getTypeMapping, register, registerDefault, removeTypeMapping, unregisterTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeMappingRegistry

    public TypeMappingRegistry()

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration config)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.